### Function

# EDataServer enum_to_string

since: 3.8

#### Declaration [src]

    const gchar*
    e_enum_to_string (
      GType enum_type,
      gint enum_value
    )

#### Description [src]

Converts an enum value to a string using strings from the GType system.

Available since: 3.8

#### Parameters

`enum_type`

  Type: `GType`

  An enum type.

`enum_value`

  Type: `gint`

  The enum value to convert.

#### Return value

Type: `const gchar*`

The string representing `eval`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.